import { createApp } from 'vue'
import { createPinia } from 'pinia'
import piniaPersist from 'pinia-plugin-persist'
import App from './App.vue'
import router from '@/router'
import dayjs from '@p/dayjs'
import ToastModal from '@c/modal/ToastModal.vue';
import common from '@/common/common.js'
import { useKakao } from 'vue3-kakao-maps/@utils'

const pinia = createPinia()
pinia.use(piniaPersist)

const kakaoApiKey = import.meta.env.VITE_KAKAO_MAP_KEY;

useKakao(kakaoApiKey, ['services'])

const app = createApp(App)
app.use(router)
    .use(pinia)
    .use(common)
    .use(dayjs)
    .component('ToastModal',ToastModal)
    .mount('#app')

if (import.meta.env.MODE === "prod") {
    const console = window.console || {};
    console.log = function no_console() { }; // console log 막기
    console.warn = function no_console() { }; // console warning 막기
    console.error = function () { }; // console error 막기
}
